#include <stdio.h>
#include <signal.h>
#include "dep.h"
#include "files.h"
#include "state.h"
#include "symtab.h"
#include "tokens.h"

extern char vflag;
extern tidy();

char digit[] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};

int lineno;
YYSTYPE yylval;


main(argc, argv)
int argc;
char *argv[];
{
  register int c;

  (void) signal(SIGINT, tidy);
  getargs(argc, argv);
  openfiles();
  tabinit();
  initialize_lex();
  reader();
  set_derives();
  set_nullable();
  generate_states();
  optim();
  lalr();
  make_parser();
  initialize_conflicts();
  if (vflag)
    verbose();
  output();
  fclose(action_file);
  action_file = fopen(action_file_name, "r");
  c = getc(action_file);
  while (c != EOF)
    {
      putc(c, output_file);
      c = getc(action_file);
    }
  tidy();
}
