#ifndef STATE
#define STATE

typedef
  struct core
    {
      struct core *next;
      struct core *link;
      short number;
      short accessing_symbol;
      short nitems;
      short items[1];
    }
  core;

typedef
  struct shifts
    {
      struct shifts *next;
      short number;
      short nshifts;
      short shifts[1];
    }
  shifts;

typedef
  struct reductions
    {
      struct reductions *next;
      short number;
      short nreds;
      short rules[1];
    }
  reductions;


extern int nstates;
extern int final_state;
extern core *first_state;
extern shifts *first_shift;
extern reductions *first_reduction;
extern short *accessing_symbol;
extern core **state_table;
extern shifts **shift_table;
extern reductions **reduction_table;
extern unsigned *LA;
extern short *LAruleno;
extern short *lookaheads;

#endif
